# -*- coding: utf-8 -*-
# Generated by Django 1.9.5 on 2016-05-09 03:32
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action', models.CharField(max_length=1024)),
                ('content', models.CharField(max_length=1024)),
            ],
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1024)),
                ('description', models.CharField(max_length=1024)),
                ('slug', models.CharField(max_length=1024)),
            ],
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.CharField(max_length=1024)),
            ],
        ),
        migrations.CreateModel(
            name='Feed',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1024)),
                ('description', models.CharField(max_length=1024)),
                ('url', models.CharField(max_length=256)),
                ('content', models.CharField(max_length=1024)),
                ('from_source', models.CharField(max_length=256)),
                ('logo_source', models.CharField(max_length=256)),
                ('name_source', models.CharField(max_length=256)),
                ('url_source', models.CharField(max_length=256)),
                ('bucket', models.CharField(max_length=256)),
                ('thumb', models.CharField(max_length=1024)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Category')),
            ],
        ),
        migrations.CreateModel(
            name='Input',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('logo', models.CharField(max_length=256)),
                ('name', models.CharField(max_length=256)),
                ('url', models.CharField(max_length=1024)),
                ('channel_id', models.CharField(max_length=100)),
                ('from_source', models.CharField(max_length=256)),
                ('logo_source', models.CharField(max_length=256)),
                ('name_source', models.CharField(max_length=256)),
                ('categories', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Category')),
            ],
        ),
        migrations.CreateModel(
            name='News',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1024)),
                ('description', models.CharField(max_length=1024)),
                ('summary', models.CharField(max_length=1024)),
                ('url', models.CharField(max_length=256)),
                ('body', models.CharField(max_length=1024)),
                ('thumb', models.CharField(max_length=256)),
                ('bucket', models.CharField(max_length=256)),
                ('from_source', models.CharField(max_length=256)),
                ('logo_source', models.CharField(max_length=256)),
                ('name_source', models.CharField(max_length=256)),
                ('url_source', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('message', models.CharField(max_length=1024)),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Activity')),
            ],
        ),
        migrations.CreateModel(
            name='Photo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1024)),
                ('description', models.CharField(max_length=1024)),
                ('bucket', models.CharField(max_length=256)),
                ('filename', models.CharField(max_length=256)),
                ('version', models.CharField(max_length=256)),
                ('path', models.CharField(max_length=256)),
                ('url', models.CharField(max_length=256)),
                ('ext', models.CharField(max_length=5)),
                ('from_source', models.CharField(max_length=256)),
                ('logo_source', models.CharField(max_length=256)),
                ('name_source', models.CharField(max_length=256)),
                ('url_source', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256)),
                ('slug', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=256)),
                ('username', models.CharField(max_length=256)),
                ('password', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='Video',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1024)),
                ('description', models.CharField(max_length=1024)),
                ('bucket', models.CharField(max_length=256)),
                ('filename', models.CharField(max_length=256)),
                ('embed', models.CharField(max_length=256)),
                ('source_id', models.CharField(max_length=256)),
                ('duration', models.CharField(max_length=256)),
                ('length', models.CharField(max_length=256)),
                ('thumb', models.CharField(max_length=256)),
                ('from_source', models.CharField(max_length=256)),
                ('logo_source', models.CharField(max_length=256)),
                ('name_source', models.CharField(max_length=256)),
                ('ext', models.CharField(max_length=256)),
            ],
        ),
        migrations.AddField(
            model_name='notification',
            name='to',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.User'),
        ),
        migrations.AddField(
            model_name='news',
            name='author',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='api.User'),
        ),
        migrations.AddField(
            model_name='news',
            name='photos',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Photo'),
        ),
        migrations.AddField(
            model_name='input',
            name='tags',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Tag'),
        ),
        migrations.AddField(
            model_name='feed',
            name='images',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='api.Photo'),
        ),
        migrations.AddField(
            model_name='feed',
            name='news',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='api.News'),
        ),
        migrations.AddField(
            model_name='feed',
            name='owner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.User'),
        ),
        migrations.AddField(
            model_name='feed',
            name='photo',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='api.Photo'),
        ),
        migrations.AddField(
            model_name='feed',
            name='tags',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Tag'),
        ),
        migrations.AddField(
            model_name='feed',
            name='video',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='api.Video'),
        ),
        migrations.AddField(
            model_name='comment',
            name='feed',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Feed'),
        ),
        migrations.AddField(
            model_name='comment',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.User'),
        ),
        migrations.AddField(
            model_name='activity',
            name='feed',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Feed'),
        ),
        migrations.AddField(
            model_name='activity',
            name='following',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='following', to='api.User'),
        ),
        migrations.AddField(
            model_name='activity',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user', to='api.User'),
        ),
    ]
